ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nate Cole" <nc...@hortonworks.com>
Subject Re: Review Request 41987: [preview] Express Upgrade failed at Finalize Upgrade pre-check due to STS and Mahout version mismatch
Date Thu, 07 Jan 2016 15:14:30 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/41987/#review113261
-----------------------------------------------------------

Ship it!


Ship It!

- Nate Cole


On Jan. 6, 2016, 12:54 p.m., Dmitro Lisnichenko wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/41987/
> -----------------------------------------------------------
> 
> (Updated Jan. 6, 2016, 12:54 p.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Dmytro Grinenko, Jonathan Hurley, Jayush
Luniya, and Nate Cole.
> 
> 
> Bugs: AMBARI-14570
>     https://issues.apache.org/jira/browse/AMBARI-14570
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> *Steps*
> # Setup HDP 2.3.4.0 (Dal M20) cluster with Ambari 2.2.1.0 (including spark service)
> # Perform EU to Dal M21 (HDP-2.4.0.0-42)
> 
> EU reports failure at Finalize Upgrade pre-check with below error for SPARK_THRIFTSERVER
:
> 
> {code}
> The following components were found to have version mismatches.  Finalize will not complete
successfully:
> host-ora12-6.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.4.0-3485
> host-ora12-4.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.4.0-3485
> host-ora12-1.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.4.0-3485
> host-ora12-2.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.4.0-3485
> host-ora12-5.novalocal: SPARK/SPARK_THRIFTSERVER reports 2.3.4.0-3485
> {code}
> 
> From DB found below:
> 
> {code}
> select * from hostcomponentstate  where component_name = 'SPARK_THRIFTSERVER'
> 53.00	1.00	SPARK_THRIFTSERVER	2.3.4.0-3485	5.00	STARTED	3.00	SPARK	NONE	UNKNOWN
> 54.00	1.00	SPARK_THRIFTSERVER	2.3.4.0-3485	5.00	STARTED	5.00	SPARK	NONE	UNKNOWN
> 55.00	1.00	SPARK_THRIFTSERVER	2.3.4.0-3485	5.00	STARTED	4.00	SPARK	NONE	UNKNOWN
> 56.00	1.00	SPARK_THRIFTSERVER	2.3.4.0-3485	5.00	STARTED	1.00	SPARK	NONE	UNKNOWN
> 57.00	1.00	SPARK_THRIFTSERVER	2.3.4.0-3485	5.00	STARTED	2.00	SPARK	NONE	UNKNOWN
> 
> 
> select * from hostcomponentdesiredstate where component_name = 'SPARK_THRIFTSERVER'
> 1.00	SPARK_THRIFTSERVER	3.00	STARTED	1.00	SPARK	INSERVICE	OFF	UNSECURED	0.00
> 1.00	SPARK_THRIFTSERVER	3.00	STARTED	2.00	SPARK	INSERVICE	OFF	UNSECURED	0.00
> 1.00	SPARK_THRIFTSERVER	3.00	STARTED	3.00	SPARK	INSERVICE	OFF	UNSECURED	0.00
> 1.00	SPARK_THRIFTSERVER	3.00	STARTED	4.00	SPARK	INSERVICE	OFF	UNSECURED	0.00
> 1.00	SPARK_THRIFTSERVER	3.00	STARTED	5.00	SPARK	INSERVICE	OFF	UNSECURED	0.00
> 
> select * from stack where stack_id in (3,5)
> 3.00	HDP	2.4
> 5.00	HDP	2.3
> 
> {code}
> 
> 
> EU reports failure at Finalize Upgrade pre-check with below error:
> {code}
> The following components were found to have version mismatches.  Finalize will not complete
successfully:
> host21unsecnr-6.novalocal: MAHOUT/MAHOUT reports 2.3.2.0-2950
> host21unsecnr-3.novalocal: MAHOUT/MAHOUT reports 2.3.2.0-2950
> host21unsecnr-1.novalocal: MAHOUT/MAHOUT reports 2.3.2.0-2950
> host21unsecnr-5.novalocal: MAHOUT/MAHOUT reports 2.3.2.0-2950
> host21unsecnr-2.novalocal: MAHOUT/MAHOUT reports 2.3.2.0-2950
> {code}
> 
> From DB found below:
> 
> {code}
> select * from hostcomponentstate where component_name = 'MAHOUT'
> 
> id	cluster_id	component_name	version	current_stack_id	current_state	host_id	service_name
upgrade_state	security_state
> 116	2	MAHOUT	2.3.2.0-2950	2	INSTALLED	5	MAHOUT	NONE	UNKNOWN
> 117	2	MAHOUT	2.3.2.0-2950	2	INSTALLED	3	MAHOUT	NONE	UNKNOWN
> 118	2	MAHOUT	2.3.2.0-2950	2	INSTALLED	4	MAHOUT	NONE	UNKNOWN
> 119	2	MAHOUT	2.3.2.0-2950	2	INSTALLED	1	MAHOUT	NONE	UNKNOWN
> 120	2	MAHOUT	2.3.2.0-2950	2	INSTALLED	2	MAHOUT	NONE	UNKNOWN
> 
> select * from hostcomponentdesiredstate where component_name = 'MAHOUT'
> 
> cluster_id	component_name	desired_stack_id	desired_state	host_id	service_name	admin_state
maintenance_state	security_state	restart_required
> 2	MAHOUT	1	INSTALLED	1	MAHOUT	NULL	OFF	UNSECURED	0
> 2	MAHOUT	1	INSTALLED	2	MAHOUT	NULL	OFF	UNSECURED	0
> 2	MAHOUT	1	INSTALLED	3	MAHOUT	NULL	OFF	UNSECURED	0
> 2	MAHOUT	1	INSTALLED	4	MAHOUT	NULL	OFF	UNSECURED	0
> 2	MAHOUT	1	INSTALLED	5	MAHOUT	NULL	OFF	UNSECURED	0
> 
> select * from stack where stack_id in (1,2)
> stack_id	stack_name	stack_version
> 1	HDP	2.4
> 2	HDP	2.3
> 
> {code}
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/nonrolling-upgrade-2.4.xml
ab91379 
>   ambari-server/src/main/resources/stacks/HDP/2.4/upgrades/nonrolling-upgrade-2.4.xml
57be7b2 
>   ambari-server/src/main/resources/stacks/HDP/2.4/upgrades/upgrade-2.4.xml c534257 
> 
> Diff: https://reviews.apache.org/r/41987/diff/
> 
> 
> Testing
> -------
> 
> For now, patch verification is blocked by rel eng issue (hdp-select-2.4.0.0-6 has no
support for spark-thriftserver)
> 
> 
> Thanks,
> 
> Dmitro Lisnichenko
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message